Summary: HTML pages thumbnailer
Name: gnome-web-photo
Version: 0.10.4
Release: %mkrel 1
License: LGPLv2+
Group: Networking/WWW
URL: http://download.gnome.org/sources/gnome-web-photo/%{version}/
Source0: http://download.gnome.org/sources/gnome-web-photo/%{version}/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post): GConf2
Requires(preun): GConf2
BuildRequires: gtk+3-devel
BuildRequires: webkitgtk3-devel
BuildRequires: gnome-common
BuildRequires: libxml2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libjpeg-devel
BuildRequires: gettext intltool

%description
gnome-web-photo contains a thumbnailer that will be used by GNOME applications,
including the file manager, to generate screenshots of web pages.

%prep
%setup -q

# fix implicit linking causing FTBFS with the new ld in F13+
sed -i -e 's/-lxpcomglue/-lxpcomglue -ldl -lnspr4/g' src/Makefile.am src/Makefile.in

%build
%configure2_5x
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS README TODO COPYING.README
%{_datadir}/thumbnailers/gnome-web-photo.thumbnailer
%{_bindir}/*
%{_datadir}/gnome-web-photo


%changelog
* Mon Nov 28 2011 Texstar <texstar at gmail.com> 0.10.4-1pclos2011
- 0.10.4
